#
# spec file for package ipw3945d (Version 1.7.18)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ipw3945d
Url:            http://ipw3945.sourceforge.net/
Summary:        Regulatory Daemon for Intel PRO/Wireless 3945ABG cards
Version:        1.7.18
Release:        31
Group:          Hardware/Other
License:        Any commercial
Source0:        ipw3945d-%{version}.tar.bz2
Source1:        modprobe.ipw3945
Source2:        ipw3945d.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       wlan-kmp
ExclusiveArch:  %ix86 x86_64
Supplements:    modalias(pci:v00008086d0000422[27]sv*sd*bc*sc*i*)

%description
The regulatory daemon is responsible for controlling and configuring
aspects of the hardware required to operate the device within
compliance of various regulatory agencies. This package is needed to
run an Intel PRO/Wireless 3945ABG device.



%debug_package
%prep
%setup0

%build

%install
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/etc/modprobe.d
mkdir -p %{buildroot}/lib/udev
%ifarch x86_64
cp x86_64/ipw3945d %{buildroot}/sbin/
%else
cp x86/ipw3945d %{buildroot}/sbin/
%endif
cp %{SOURCE1} %{buildroot}/etc/modprobe.d/ipw3945
cp %{SOURCE2} %{buildroot}/lib/udev/

%files
%defattr(-,root,root)
%doc LICENSE.ipw3945d README.ipw3945d
%dir /lib/udev
/sbin/ipw3945d
/lib/udev/ipw3945d.sh
%config /etc/modprobe.d/ipw3945

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
%changelog
* Tue Oct 16 2007 - jg@suse.de
- wait for /var/run to become writable (bug 280337)
* Tue Oct 03 2006 - rml@suse.de
- Use absolute path for killproc(8) in ipw3945d.sh in case it is
  not in the user's PATH (Novell bug #209011)
* Fri Apr 28 2006 - jg@suse.de
- using wrapper script to kill ipw3945d (bug 170099)
* Wed Mar 22 2006 - jg@suse.de
- update to version 1.7.18 (bug 145190):
  * Final version of the regulatory daemon for Intels ipw3945
  driver version 1.0.0
* Mon Mar 20 2006 - jg@suse.de
- added modalias tag
* Fri Mar 10 2006 - jg@suse.de
- remove modprobe install command to run ipw3945d (will be done
  by udev)
- moved ipw3945d.sh to /lib/udev as it is called via udev only
* Mon Mar 06 2006 - jg@suse.de
- using wrapper script to start ipw3945d
* Mon Feb 27 2006 - jg@suse.de
- first version
